[ad]
;A
;refuserid
;idčko uživatele (nás)
;B
;konstanta - jsme madari
refclientid.column = 'refclientid'
refclientid.type = 'int'
refclientid.value = 17
;C
id.column = 'externalid'
id.type = 'int'
;D
zakazka_stav.column = 'refadstateid'
zakazka_stav.type = 'int'
zakazka_stav.10 = 4
zakazka_stav.20 = 1
zakazka_stav.30 = 2
zakazka_stav.40 = 5
zakazka_stav.50 = 5
;E (konstanta)
refadtypeid.column = 'refadtypeid'
refadtypeid.value = 3
;F
;typy toplaku:
;1- byt, 2 - dum; 3 - pozemek; 4 - komercni nemovitost
nemovitost_typ.column = 'refmaincategory'
nemovitost_typ.type = 'int'
;nas zemedelsky objekt
nemovitost_typ.convert.1 = 4
;a pozdeji upresnime
nemovitost_typ.convert.2 = 4
;pozemky
nemovitost_typ.convert.3 = 3
;byty
nemovitost_typ.convert.4 = 1
;historicke objekty
;nemovitost_typ.convert.5 = ?
nemovitost_typ.convert.6 = 2
;hotely a penziony
nemovitost_typ.convert.7 = 4
;pozdeji upresnime
;najemni domy
nemovitost_typ.convert.8 = 2
;komercni prostory
nemovitost_typ.convert.9 = 4
;chaty
nemovitost_typ.convert.10 = 2
;pozdeji upresnime
;garaze
nemovitost_typ.convert.11 = 2
;a upresnime

;G upresneni
;G zemedelske stavby
subcat_vidle.column= 'refsubcategory'
subcat_vidle.type = 'int'
subcat_vidle.value = '27'
subcat_vidle.unset = '@nemovitost_typ==1 @null ? : @_convertedValue'

;G hospody
nemovitost_typ_zarizeni.column = 'refsubcategory'
nemovitost_typ_zarizeni.type = 'int'
nemovitost_typ_zarizeni.convert.1 = 63
nemovitost_typ_zarizeni.convert.2 = 62
nemovitost_typ_zarizeni.convert.3 = 58
nemovitost_typ_zarizeni.unset = '@nemovitost_typ==7 @null ? : @_convertedValue'

;G chaty
subcat_chaty.column= 'refsubcategory'
subcat_chaty.type = 'int'
subcat_chaty.value = '20'
subcat_chaty.unset = '@nemovitost_typ==10 @null ? : @_convertedValue'

;G najemni domy
subcat_najem.column= 'refsubcategory'
subcat_najem.type = 'int'
subcat_najem.value = '18'
subcat_najem.unset = '@nemovitost_typ==8 @null ? : @_convertedValue'

;G bezne
;G byty
;tady zatim nevime - pockat na prelozeni

;G domy
;?

;G pozemky
nemovitost_druh_pozemku.column = 'refsubcategory'
nemovitost_druh_pozemku.type = 'int'
nemovitost_druh_pozemku.convert.1 = 24
;tady by se dal zvážit i typ 50 - průmyslová zóna
nemovitost_druh_pozemku.convert.2 = 24
nemovitost_druh_pozemku.convert.3 = 51
nemovitost_druh_pozemku.convert.4 = 49
nemovitost_druh_pozemku.convert.5 = 40
;možnost zvážit i typ 25 - Föld
nemovitost_druh_pozemku.convert.6 = 25
;za předpokladu že föld je pozemek
nemovitost_druh_pozemku.unset = '@nemovitost_typ==3 @null ? : @_convertedValue'


;G komercni objekty
nemovitost_ucel_budovy.column = 'refsubcategory'
nemovitost_ucel_budovy.type = 'int'
nemovitost_ucel_budovy.convert.1 = 28
nemovitost_ucel_budovy.convert.2 = 30
;30 je dílna, ale tam se taky vyrábí
nemovitost_ucel_budovy.convert.3 = 53
nemovitost_ucel_budovy.convert.4 = 53
nemovitost_ucel_budovy.convert.5 = 50
;TODO - kdyz je subcategory 50, tak musi byt category 3
nemovitost_ucel_budovy.convert.6 = 37
;doslova prostory
nemovitost_ucel_budovy.convert.7 = 60
nemovitost_ucel_budovy.unset = '@nemovitost_typ==2 @null ? : @_convertedValue'

;G komercni prostory
nemovitost_druh_prostor.column = 'refsubcategory'
nemovitost_druh_prostor.type = 'int'
nemovitost_druh_prostor.convert.1 = 26
nemovitost_druh_prostor.convert.2 = 55
nemovitost_druh_prostor.convert.3 = 28
nemovitost_druh_prostor.convert.4 = 37
;jine=prostory
nemovitost_druh_prostor.convert.5 = 30
;opět vyrábíme v dílně
nemovitost_druh_prostor.unset = '@nemovitost_typ==9 @null ? : @_convertedValue'

;ADRESA
;stát - konstanta
refcountryid.column= 'refcountryid'
refcountryid.type= 'int'
refcountryid.value= 96

nemovitost_uir_kraj_text.column = 'countyname'
nemovitost_uir_kraj_text.type = 'string'

nemovitost_uir_obec_text.column = 'cityname'
nemovitost_uir_obec_text.type = 'string'

;I
;zakazka_typ (1=prodej, 2=pronajem)
;kdyz @this je 1 tak forsale jinak forrent
forsale.column = 'forsale'
forsale.type = 'int'
forsale.value = '@zakazka_typ == 1 ? 1 : 0'

forrent.column = 'forrent'
forrent.type = 'int'
forrent.value = '@zakazka_typ == 2 ? 1 : 0'

nemovitost_cena_prodej.column = 'buyprice'
nemovitost_cena_prodej.type = 'int'
nemovitost_cena_prodej.unset = '@zakazka_typ ==1 ? @null : @_convertedValue'

nemovitost_cena_pronajem.column = 'rentprice'
nemovitost_cena_pronajem.type = 'int'
nemovitost_cena_pronajem.unset = '@zakazka_typ ==2 ? @null : @_convertedValue'
;J
;zjistit jak maji byt kody!!!
nemovitost_mena.column = 'refcurrencyid'
nemovitost_mena.type = 'int'
;Krefcurrencyid
nemovitost_titulek.column = 'title'
nemovitost_titulek.type = 'string'
nemovitost_popis_zakladni.column = 'text'
nemovitost_popis_zakladni.type = 'string'
;L
;data platnosti - poresit v PHP
;M
nemovitost_parkovaci_stani.column = 'parkingspot'
nemovitost_parkovaci_stani.type = 'bool'

elevator.column = 'elevator'
elevator.value = 'substr<@nemovitost_ostatni, 4, 1>'
elevator.unset = '"@this" ? @null : @_convertedValue'


;property space
;living space
;viz na konci

nemovitost_sklep.column = 'cellar'
nemovitost_sklep.type = 'string'
nemovitost_sklep.unset = '"@this" ? @null : @_convertedValue'

nemovitost_rok_vystavby.column = 'yearofbuilding'
nemovitost_rok_vystavby.type = 'int'
nemovitost_rok_vystavby.unset = '@this ? @null : @_convertedValue'

;poznamka k cene -  rentpricetext a buypricetext

nemovitost_uir_ulice_text.column = 'locationstreet'
nemovitost_uir_ulice_text.type = 'string'
nemovitost_uir_ulice_text.unset = '"@this" ? @null : @_convertedValue'

nemovitost_topeni.column = 'heating'
nemovitost_topeni.type = 'string'
;heating se resi v php (je-li aspon jedna jednicka v topeni, vrati se jedna)
nemovitost_topeni.unset = '@this ? @null : @_convertedValue'

nemovitost_podlazi_cislo.column = 'floor'
nemovitost_podlazi_cislo.type = 'int'
nemovitost_podlazi_cislo.unset = '@this ? @null : @_convertedValue'

nemovitost_plocha_celkova.column = 'propertyspace'
nemovitost_plocha_celkova.type = 'int'
nemovitost_plocha_celkova.unset = 'inList<@nemovitost_typ, 2, 3, 4, 11> ? @null : @_convertedValue'

nemovitost_plocha_uzitna.column = 'propertyspace'
nemovitost_plocha_uzitna.type = 'int'
nemovitost_plocha_uzitna.unset = 'inList<@nemovitost_typ, 1, 5, 6, 7 ,8, 10>? @null : @_convertedValue'

nemovitost_plocha_kancelari.column = 'propertyspace'
nemovitost_plocha_kancelari.type = 'int'
nemovitost_plocha_kancelari.unset = 'inList<@nemovitost_typ, 9> ? @null : @_convertedValue'

buypricetext.column = 'buypricetext'
buypricetext.value = '@zakazka_typ == 1 ? @nemovitost_cena_poznamka : @null'

rentpricetext.column = 'rentpricetext'
rentpricetext.value = '@zakazka_typ == 2 ? @nemovitost_cena_poznamka : @null'
